#include <bits/stdc++.h>

#define int long long
using namespace std;

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,m,g;
    cin >>n >>m >>g;
    cout <<m-(n-1) <<'\n' <<1;
}

